Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model
Interface VTTemplatePackage.Literals

Enclosing interface:
  VTTemplatePackage

    public static interface VTTemplatePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CONTROL_VALIDATION_TEMPLATE` The meta object literal for the ' `Control Validation Template`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX` The meta object literal for the 'Cancel Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL` The meta object literal for the 'Cancel Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL` The meta object literal for the 'Cancel Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX` The meta object literal for the 'Error Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL` The meta object literal for the 'Error Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL` The meta object literal for the 'Error Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX` The meta object literal for the 'Info Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL` The meta object literal for the 'Info Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL` The meta object literal for the 'Info Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX` The meta object literal for the 'Ok Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL` The meta object literal for the 'Ok Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL` The meta object literal for the 'Ok Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX` The meta object literal for the 'Warning Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL` The meta object literal for the 'Warning Image URL' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL` The meta object literal for the 'Warning Overlay URL' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `STYLE` The meta object literal for the '`Style`' class.
`static org.eclipse.emf.ecore.EReference` | `STYLE__PROPERTIES` The meta object literal for the 'Properties' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `STYLE__SELECTOR` The meta object literal for the 'Selector' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `STYLE_PROPERTY` The meta object literal for the '`Style Property`' class.
`static org.eclipse.emf.ecore.EClass` | `STYLE_SELECTOR` The meta object literal for the '`Style Selector`' class.
`static org.eclipse.emf.ecore.EClass` | `VIEW_TEMPLATE` The meta object literal for the '`View Template`' class.
`static org.eclipse.emf.ecore.EReference` | `VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION` The meta object literal for the 'Control Validation Configuration' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW_TEMPLATE__REFERENCED_ECORES` The meta object literal for the 'Referenced Ecores' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `VIEW_TEMPLATE__STYLES` The meta object literal for the 'Styles' containment reference list feature.

Field Detail

### VIEW_TEMPLATE

    static final org.eclipse.emf.ecore.EClass VIEW_TEMPLATE

  The meta object literal for the '`View Template`' class.

  See Also:
    `VTViewTemplateImpl`, `VTTemplatePackageImpl.getViewTemplate()`

### VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION

    static final org.eclipse.emf.ecore.EReference VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION

  The meta object literal for the 'Control Validation Configuration' containment reference feature.

### VIEW_TEMPLATE__STYLES

    static final org.eclipse.emf.ecore.EReference VIEW_TEMPLATE__STYLES

  The meta object literal for the 'Styles' containment reference list feature.

### VIEW_TEMPLATE__REFERENCED_ECORES

    static final org.eclipse.emf.ecore.EAttribute VIEW_TEMPLATE__REFERENCED_ECORES

  The meta object literal for the 'Referenced Ecores' attribute list feature.

### CONTROL_VALIDATION_TEMPLATE

    static final org.eclipse.emf.ecore.EClass CONTROL_VALIDATION_TEMPLATE

  The meta object literal for the ' `Control Validation Template`' class.

  See Also:
    `VTControlValidationTemplateImpl`, `VTTemplatePackageImpl.getControlValidationTemplate()`

### CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX

  The meta object literal for the 'Ok Color HEX' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL

  The meta object literal for the 'Ok Image URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL

  The meta object literal for the 'Ok Overlay URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX

  The meta object literal for the 'Info Color HEX' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL

  The meta object literal for the 'Info Image URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL

  The meta object literal for the 'Info Overlay URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX

  The meta object literal for the 'Warning Color HEX' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL

  The meta object literal for the 'Warning Image URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL

  The meta object literal for the 'Warning Overlay URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX

  The meta object literal for the 'Error Color HEX' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL

  The meta object literal for the 'Error Image URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL

  The meta object literal for the 'Error Overlay URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX

  The meta object literal for the 'Cancel Color HEX' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL

  The meta object literal for the 'Cancel Image URL' attribute feature.

### CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL

    static final org.eclipse.emf.ecore.EAttribute CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL

  The meta object literal for the 'Cancel Overlay URL' attribute feature.

### STYLE

    static final org.eclipse.emf.ecore.EClass STYLE

  The meta object literal for the '`Style`' class.

  See Also:
    `VTStyleImpl`, `VTTemplatePackageImpl.getStyle()`

### STYLE__SELECTOR

    static final org.eclipse.emf.ecore.EReference STYLE__SELECTOR

  The meta object literal for the 'Selector' containment reference feature.

### STYLE__PROPERTIES

    static final org.eclipse.emf.ecore.EReference STYLE__PROPERTIES

  The meta object literal for the 'Properties' containment reference list feature.

### STYLE_PROPERTY

    static final org.eclipse.emf.ecore.EClass STYLE_PROPERTY

  The meta object literal for the '`Style Property`' class.

  See Also:
    `VTStyleProperty`, `VTTemplatePackageImpl.getStyleProperty()`

### STYLE_SELECTOR

    static final org.eclipse.emf.ecore.EClass STYLE_SELECTOR

  The meta object literal for the '`Style Selector`' class.

  See Also:
    `VTStyleSelector`, `VTTemplatePackageImpl.getStyleSelector()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.